echo off

rem CASDEB comes as third argument

if /I "%VCVER%" == "gcc" (
  if "%ARCH%" == "32" (
    rem set environment variables used by OCCT
    set CSF_FPE=0

    set "TCL_DIR=%THIRDPARTY_DIR%/bin"
    set "TK_DIR=%THIRDPARTY_DIR%/bin"
    set "FREETYPE_DIR=%THIRDPARTY_DIR%/bin"
    set "FREEIMAGE_DIR=%THIRDPARTY_DIR%/bin"
    set "EGL_DIR="
    set "GLES2_DIR="
    set "TBB_DIR=%THIRDPARTY_DIR%/bin"
    set "VTK_DIR=%THIRDPARTY_DIR%/bin"
    set "FFMPEG_DIR=%THIRDPARTY_DIR%/bin"
    set "OPENVR_DIR=%THIRDPARTY_DIR%/bin"

    if not "" == "" (
      set "QTDIR="
    )
    set "TCL_VERSION_WITH_DOT=8.6"
    set "TK_VERSION_WITH_DOT=8.6"

    set "CSF_OCCTBinPath=%CASROOT%/bin%3"
    set "CSF_OCCTLibPath=%CASROOT%/lib%3"

    set "CSF_OCCTIncludePath=%CASROOT%/include/opencascade"
    set "CSF_OCCTResourcePath=%CASROOT%/share/opencascade/resources"
    set "CSF_OCCTDataPath=%CASROOT%/share/opencascade/data"
    set "CSF_OCCTSamplesPath=%CASROOT%/share/opencascade/samples"
    set "CSF_OCCTTestsPath=%CASROOT%/share/opencascade/tests"
    set "CSF_OCCTDocPath=%CASROOT%/share/doc/opencascade"
  )
)

